mon-collector(7)

NAME
mon-collector - Command line interface for the data collectors of the monitoring system

SYNOPSIS
mon-collector {collector}

DESCRIPTION
mon-collector is a suite of tools designed to provide a command line interface to the data collectors implemented by the ganeti monitoring system. mon-collector is also the generic binary that must be invoked specifying, as the first command line parameter, the name of the actual desired data collector to be run.

When executed, mon-collector will run the specified collector and will print its output to stdout, in JSON format.

COLLECTORS

  DISKSTATS

diskstats [ [ -f | --file ] = input-file ]

Collects the information about the status of the disks of the system, as listed by /proc/diskstats, or by an alternate file with the same syntax specified on the command line.

The options that can be passed to the DRBD collector are as follows:

-f input-file, --file=*input-file*
    Where to read the data from. Default if not specified: /proc/diskstats

  DRBD

drbd [ [ -s | --drbd-status ] = status-file ] [ [ -p | --drbd-pairing] = pairing-file ]

Collects the information about the version and status of the DRBD kernel module, and of the disks it is managing.

If status-file and pairing-file are specified, the status and the instance-minor paring information will be read from those files. Otherwise, the collector will read them, respectively, from /proc/drbd and from the Confd server.

The options that can be passed to the DRBD collector are as follows:

-s status-file, --drbd-status=*status-file*
    Read the DRBD status from the specified file instead of /proc/drbd.

-p pairing-file, --drbd-pairing=*pairing-file*
    Read the information about the pairing between instances and DRBD minors from the specified file instead of asking the Confd servers for them.

  INSTANCE STATUS

inst-status-xen [ [ -a | --address ] = ip-address ] [ [ -p | --port ] = port-number ]

Collects the information about the status of the instances of the current node. In order to perform this task, it needs to connect to the ConfD daemon to fetch some configuration information. The following parameters allow the user to specify the position where the daemon is listening, in case it's not the default one:

-a ip-address, --address=*ip-address*
    The IP address the ConfD daemon is listening on.

-p port-number, --port=*port-number*
    The port the ConfD daemon is listening on.

  LOGICAL VOLUMES

lv [ [ -a | --address ] = ip-address ] [ [ -p | --port ] = port-number ] [ [ -f | --file ] = input-file ] [ [ -i | --instances ] = instances-file ]

Collects the information about the logical volumes of the current node.

In order to perform this task, it needs to interact with the lvs command line tool and to connect to the ConfD daemon to fetch some configuration information. The following parameters allow the user to specify the position where the daemon is listening, in case it's not the default one:

-a ip-address, --address=*ip-address*
    The IP address the ConfD daemon is listening on.

-p port-number, --port=*port-number*
    The port the ConfD daemon is listening on.

Instead of accessing the live data on the cluster, the tool can also read data serialized on files (mainly for testing purposes). Namely:

-f input-file, --file input-file
    The name of the file containing a recorded output of the lvs tool.

-i instances-file, --instances=*instances-file*
    The name of the file containing a JSON serialization of instances the current node is primary and secondary for, listed as:

            ([Instance], [Instance])

    where the first list contains the instances the node is primary for, the second list those the node is secondary for.

REPORTING BUGS
Report bugs to the project's issue tracker (https://github.com/ganeti/ganeti/issues) or contact the developers using the Ganeti mailing list.

SEE ALSO
Ganeti overview and specifications: ganeti(7) (general overview), ganeti-os-interface(7) (guest OS definitions), ganeti-extstorage-interface(7) (external storage providers).

Ganeti commands: gnt-cluster(8) (cluster-wide commands), gnt-job(8) (job-related commands), gnt-node(8) (node-related commands), gnt-instance(8) (instance commands), gnt-os(8) (guest OS commands), gnt-storage(8) (storage commands), gnt-group(8) (node group commands), gnt-backup(8) (instance import/export commands), gnt-debug(8) (debug commands).

Ganeti daemons: ganeti-watcher(8) (automatic instance restarter), ganeti-cleaner(8) (job queue cleaner), ganeti-noded(8) (node daemon), ganeti-rapi(8) (remote API daemon).

Ganeti htools: htools(1) (generic binary), hbal(1) (cluster balancer), hspace(1) (capacity calculation), hail(1) (IAllocator plugin), hscan(1) (data gatherer from remote clusters), hinfo(1) (cluster information printer), mon-collector(7) (data collectors interface).

COPYRIGHT
Copyright (C) 2006-2015 Google Inc. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.